## apcupsd 3.14.14

=== Makefile ===
topdir:=.

SUBDIRS=src platforms doc
include autoconf/targets.mak

# Force platforms/ to build after src/
platforms_DIR: src_DIR

configure: autoconf/configure.in autoconf/aclocal.m4
	-rm -f config.cache config.log config.out config.status include/config.h
	autoconf --prepend-include=autoconf autoconf/configure.in > configure
	autoheader autoconf/configure.in
	chmod 755 configure

=== doc/Makefile ===
topdir:=..

SUBDIRS = 
include $(topdir)/autoconf/targets.mak

all-targets: apcupsd.man.txt apcaccess.man.txt apctest.man.txt \
             apccontrol.man.txt apcupsd.conf.man.txt

apcupsd.man.txt: apcupsd.8
	$(call MANIFY,$<,$@)
apcaccess.man.txt: apcaccess.8
	$(call MANIFY,$<,$@)
apctest.man.txt: apctest.8
	$(call MANIFY,$<,$@)
apccontrol.man.txt: apccontrol.8
	$(call MANIFY,$<,$@)
apcupsd.conf.man.txt: apcupsd.conf.5
	$(call MANIFY,$<,$@)

all-install: install-man
all-uninstall: uninstall-man

install-man:
	$(call MKDIR,$(mandir)/man8)
	$(call INSTDATA,644,apcupsd.8,$(mandir)/man8/apcupsd.8)
	$(call INSTDATA,644,apcaccess.8,$(mandir)/man8/apcaccess.8)
	$(call INSTDATA,644,apctest.8,$(mandir)/man8/apctest.8)
	$(call INSTDATA,644,apccontrol.8,$(mandir)/man8/apccontrol.8)
	$(call MKDIR,$(mandir)/man5)
	$(call INSTDATA,644,apcupsd.conf.5,$(mandir)/man5/apcupsd.conf.5)

uninstall-man:
	$(call UNINST,$(mandir)/man8/apcupsd.8)
	$(call UNINST,$(mandir)/man8/apcaccess.8)
	$(call UNINST,$(mandir)/man8/apctest.8)
	$(call UNINST,$(mandir)/man8/apccontrol.8)
	$(call UNINST,$(mandir)/man5/apcupsd.conf.5)

=== examples/Makefile ===
topdir:=..

SUBDIRS = 
include $(topdir)/autoconf/targets.mak

TARGETS = hid-ups hid-set client megaclient newslave upsapm \
          smartsim snoopdecode

SRCS = $(foreach target,$(TARGETS),$(target).c)

all-targets: client megaclient newslave upsapm smartsim snoopdecode

$(TARGETS): %: $(call SRC2OBJ,%.c) $(APCLIBS)
	$(LINK)

# Include dependencies
-include $(DEPS)

=== src/Makefile ===
topdir:=..

SUBDIRS = lib drivers $(CGIDIR) $(USBHIDDIR) $(GAPCMON) $(APCAGENT) $(WIN32)
include $(topdir)/autoconf/targets.mak

# Force dirs that needs libapc.a to build after lib_DIR
# Necessary for parallel make since they link against libapc.a
cgi_DIR: lib_DIR
apcagent_DIR: lib_DIR
win32_DIR: lib_DIR

# CGI requires win32, but only if building for win32
cgi_DIR: $(if $(WIN32),win32_DIR)

common_srcs     := options.c device.c reports.c action.c
apcupsd_srcs    := apcupsd.c apcnis.c
apcaccess_srcs  := apcaccess.c
apctest_srcs    := apctest.c
smtp_srcs       := smtp.c

common_obj      := $(call SRC2OBJ,$(common_srcs))
apcupsd_obj     := $(call SRC2OBJ,$(apcupsd_srcs)) $(if $(WIN32),$(call SRC2OBJ,win32/winservice.cpp win32/winmain.cpp))
apcaccess_obj   := $(call SRC2OBJ,$(apcaccess_srcs))
apctest_obj     := $(call SRC2OBJ,$(apctest_srcs))
smtp_obj        := $(call SRC2OBJ,$(smtp_srcs))

SRCS = $(common_srcs) $(apcupsd_srcs) $(apcaccess_srcs) \
       $(apctest_srcs) $(smtp_srcs) 

all-targets: apcupsd$(EXE) apcaccess$(EXE) apctest$(EXE) smtp$(EXE) 

apcupsd$(EXE): $(common_obj) $(apcupsd_obj) $(APCDRVLIBS) $(APCLIBS)
	$(LINK) $(DRVLIBS) $(BG)

apctest$(EXE): $(common_obj) $(apctest_obj) $(APCDRVLIBS) $(APCLIBS)
	$(LINK) $(DRVLIBS)

apcaccess$(EXE): $(apcaccess_obj) $(APCLIBS)
	$(LINK)

smtp$(EXE): $(smtp_obj) $(APCLIBS)
	$(LINK)

all-install: install-base
all-uninstall: uninstall-base

install-base:
	$(call MKDIR,$(sbindir))
	$(call INSTPROG,700,apcupsd,$(sbindir)/apcupsd$(EXE))
	$(call INSTPROG,700,apctest,$(sbindir)/apctest$(EXE))
	$(call INSTPROG,755,apcaccess,$(sbindir)/apcaccess$(EXE))
	$(call INSTPROG,755,smtp,$(sbindir)/smtp$(EXE))

uninstall-base:
	$(call UNINST,$(sbindir)/apcupsd$(EXE))
	$(call UNINST,$(sbindir)/apctest$(EXE))
	$(call UNINST,$(sbindir)/apcaccess$(EXE))
	$(call UNINST,$(sbindir)/smtp$(EXE))

# Include dependencies
-include $(DEPS)

=== doc/manual/Makefile ===
topdir:=../..

SUBDIRS =
include $(topdir)/autoconf/targets.mak

all-targets: manual.html manual.pdf

# Force pdf to regenerate whenever HTML changes
# HTML rule has all the dependency stuff
manual.pdf: manual.html

# Include dependencies
-include $(DEPDIR)/manual.P

=== platforms/darwin/Makefile ===
topdir:=../..

SUBDIRS =
include $(topdir)/autoconf/targets.mak

all-install: install-darwin install-$(USBDRV)
all-uninstall: uninstall-darwin

install-darwin:
	$(call DISTINST,Darwin Mac OS X)
	$(call MKDIR,/Library/LaunchDaemons)
	$(call INSTDATA,644,org.apcupsd.apcupsd.plist,/Library/LaunchDaemons)
	-$(V)chown root:wheel $(DESTDIR)/Library/LaunchDaemons/org.apcupsd.apcupsd.plist
	$(call INSTDATA,755,apcupsd-uninstall,$(sbindir))
	$(call INSTDATA,755,apcupsd-start,$(sbindir))
	@echo "================================================="
	@echo " "
	@echo "apcupsd script installation for MacOS X (Darwin) complete." 
	@echo " "
	@echo "You should now edit $(DESTDIR)/$(sysconfdir)/apcupsd.conf to correspond"
	@echo "to your setup then start the apcupsd daemon with:"
	@echo " "
	@echo "   sudo launchctl load /Library/LaunchDaemons/org.apcupsd.apcupsd.plist"
	@echo " "
	@echo "Thereafter when you reboot, it will be stopped and started"
	@echo "automatically."
	@echo " "
	@if [ -f $(DESTDIR)/$(sysconfdir)/apcupsd ] ; then \
		echo "WARNING: Old startup script $(DESTDIR)/$(sysconfdir)/apcupsd was renamed to"; \
		echo "         $(DESTDIR)/$(sysconfdir)/apcupsd.obsolete. Be sure to remove any";   \
		echo "         references to that script that you may have manually";    \
		echo "         added to the system init scripts. Apcupsd startup is";    \
		echo "         now managed via SystemStarter, making the old script";    \
		echo "         obsolete.";                                               \
		echo " ";                                                                \
		mv $(DESTDIR)/$(sysconfdir)/apcupsd $(DESTDIR)/$(sysconfdir)/apcupsd.obsolete;                 \
	fi
	@echo "================================================="

install-usb:
	$(call MKDIR,/System/Library/Extensions/ApcupsdDummy.kext/Contents/_CodeSignature)
	-$(V)$(call INSTDATA,644,ApcupsdDummy.kext/Contents/Info.plist,/System/Library/Extensions/ApcupsdDummy.kext/Contents/Info.plist)
	-$(V)$(call INSTDATA,644,ApcupsdDummy.kext/Contents/_CodeSignature/CodeDirectory,/System/Library/Extensions/ApcupsdDummy.kext/Contents/_CodeSignature/CodeDirectory)
	-$(V)$(call INSTDATA,644,ApcupsdDummy.kext/Contents/_CodeSignature/CodeRequirements,/System/Library/Extensions/ApcupsdDummy.kext/Contents/_CodeSignature/CodeRequirements)
	-$(V)$(call INSTDATA,644,ApcupsdDummy.kext/Contents/_CodeSignature/CodeResources,/System/Library/Extensions/ApcupsdDummy.kext/Contents/_CodeSignature/CodeResources)
	-$(V)$(call INSTDATA,644,ApcupsdDummy.kext/Contents/_CodeSignature/CodeSignature,/System/Library/Extensions/ApcupsdDummy.kext/Contents/_CodeSignature/CodeSignature)
	-$(V)chmod 755 $(DESTDIR)/System/Library/Extensions/ApcupsdDummy.kext
	-$(V)chmod 755 $(DESTDIR)/System/Library/Extensions/ApcupsdDummy.kext/Contents
	-$(V)chmod 755 $(DESTDIR)/System/Library/Extensions/ApcupsdDummy.kext/Contents/_CodeSignature
	-$(V)chown -R root:wheel $(DESTDIR)/System/Library/Extensions/ApcupsdDummy.kext
	$(call UNINST,/System/Library/Extensions.mkext)
	$(call UNINST,/System/Library/Extensions.kextcache)
	@echo "================================================="
	@echo " "
	@echo "Driver installation complete." 
	@echo "You must REBOOT before running apcupsd."
	@echo " "
	@echo "================================================="

uninstall-darwin:
	$(call DISTUNINST,Darwin Mac OS X)
	-$(V)launchctl remove org.apcupsd.apcupsd
	-$(call UNINST,/System/Library/Extensions/ApcupsdDummy.kext)
	-$(call UNINST,/System/Library/Extensions.mkext)
	-$(call UNINST,/System/Library/Extensions.kextcache)
	-$(call UNINST,$(sbindir)/apcupsd-uninstall)
	-$(call UNINST,$(sbindir)/apcupsd-start)
	-$(call UNINST,/Library/LaunchDaemons/org.apcupsd.apcupsd.plist)
	@echo "================================================="
	@echo " "
	@echo "Please REBOOT to complete uninstall." 
	@echo " "
	@echo "================================================="

# Root of package build sandbox
PKGROOT=/tmp/apcupsd-pkg

#
# Identity preferences for signing keys, set via Keychain Access utility or on
# command line using 'security set-identity-preference'
#
# APCUPSD_CODE_SIGNING - Code signing key
# APCUPSD_PACKAGE_SIGNING - Package signing key
#
# codesign searches by identity preference automatically
CODEKEY := APCUPSD_CODE_SIGNING
# productsign needs common name string, so look it up
PKGKEY := $(shell \
   security get-identity-preference -s APCUPSD_PACKAGE_SIGNING -c \
      | grep "common name" | cut -d\" -f2)

# Loose executables to sign
EXES := $(sbindir)/apcupsd $(sbindir)/apcaccess $(sbindir)/apctest $(sbindir)/smtp

# Make apcupsd installation package
apcupsd.pkg:
	rm -rf $(PKGROOT)
	mkdir $(PKGROOT)
	mkdir $(PKGROOT)/Apcupsd
	mkdir $(PKGROOT)/Apcupsd.Resources
	mkdir $(PKGROOT)/Apcupsd.Scripts
	mkdir $(PKGROOT)/Apcupsd.Root
	mkdir $(PKGROOT)/Apcagent.Scripts
	( cd $(topdir) && DESTDIR=$(PKGROOT)/Apcupsd.Root make install )
	cp $(topdir)/ReleaseNotes $(PKGROOT)/Apcupsd.Resources
	cp $(topdir)/COPYING $(PKGROOT)/Apcupsd.Resources
	cp Welcome.txt $(PKGROOT)/Apcupsd.Resources
	cp Conclusion.txt $(PKGROOT)/Apcupsd.Resources
	cp ApcupsdDaemon.preflight $(PKGROOT)/Apcupsd.Scripts/preinstall
	cp ApcupsdDaemon.postflight $(PKGROOT)/Apcupsd.Scripts/postinstall
	cp apcagent.postinstall $(PKGROOT)/Apcagent.Scripts/postinstall
	-chown root:wheel $(PKGROOT)/Apcupsd.Root/Library
	-chown root:wheel $(PKGROOT)/Apcupsd.Root/Library/LaunchDaemons
	-chmod 1775 $(PKGROOT)/Apcupsd.Root/Library
	-chmod 0775 $(PKGROOT)/Apcupsd.Root/Library/LaunchDaemons
	-codesign --sign $(CODEKEY) --timestamp --verbose --force --prefix com.apcupsd. $(addprefix $(PKGROOT)/Apcupsd.Root/,$(EXES)) && \
      codesign --verify --verbose $(addprefix $(PKGROOT)/Apcupsd.Root/,$(EXES))
	-codesign --sign $(CODEKEY) --timestamp --verbose --force $(PKGROOT)/Apcupsd.Root/Applications/apcagent.app && \
      codesign --verify --verbose $(PKGROOT)/Apcupsd.Root/Applications/apcagent.app
	pkgbuild --root $(PKGROOT)/Apcupsd.Root/Applications \
      --identifier com.apcupsd.apcagent --version $(VERSION) \
      --install-location /Applications --scripts $(PKGROOT)/Apcagent.Scripts \
      --component-plist component.plist $(PKGROOT)/apcagent.pkg
	rm -rf $(PKGROOT)/Apcupsd.Root/Applications
	pkgbuild --root $(PKGROOT)/Apcupsd.Root \
      --identifier com.apcupsd.apcupsd --version $(VERSION) \
      --install-location / --scripts $(PKGROOT)/Apcupsd.Scripts \
      $(PKGROOT)/apcupsd.pkg
	productbuild --distribution apcupsd.dist --package-path $(PKGROOT) \
      --resources $(PKGROOT)/Apcupsd.Resources --identifier org.apcupsd.apcupsd \
      --version $(VERSION) $(PKGROOT)/Apcupsd-$(VERSION).pkg
	-productsign --timestamp --sign "$(PKGKEY)" $(PKGROOT)/Apcupsd-$(VERSION).pkg $(PKGROOT)/Apcupsd/Apcupsd-$(VERSION).pkg
	hdiutil create -ov -fs HFS+ -srcfolder $(PKGROOT)/Apcupsd -volname Apcupsd-$(VERSION) Apcupsd-$(VERSION).dmg

=== platforms/debian/Makefile ===
topdir:=../..

SUBDIRS =
include $(topdir)/autoconf/targets.mak

all-install: install-debian
all-uninstall: uninstall-debian

install-debian:
	$(call DISTINST,debian)
	$(if $(DESTDIR),,$(V)/usr/sbin/update-rc.d apcupsd remove)
	$(call MKDIR,/etc/init.d)
	$(call INSTDATA,744,apcupsd,/etc/init.d/apcupsd)
	$(if $(DESTDIR),,$(V)/usr/sbin/update-rc.d apcupsd start 20 1 2 3 4 5 . stop 20 0 1 6 .) 
	$(call INSTORIG,744,ups-monitor,/etc/init.d/ups-monitor)
	@echo "---------------------------------------------------------------------"
	@echo " NOTE: APCUPSD will almost certainly not work \"out of the box.\""
	@echo "       You MUST properly edit $(sysconfdir)/apcupsd.conf or apcupsd"
	@echo "       will fail on startup.  Also, please see that your script"
	@echo "       at /etc/init.d/halt properly calls /etc/init.d/ups-monitor"
	@echo "       as shown in platforms/debian/examples/halt.ex."
	@echo "---------------------------------------------------------------------"

uninstall-debian:
	$(call DISTUNINST,debian)
	-$(call UNINST,/etc/init.d/apcupsd)
	-$(if $(DESTDIR),,$(V)/usr/sbin/update-rc.d apcupsd remove)
	-$(call UNINST,/etc/init.d/ups-monitor)

=== platforms/freebsd/Makefile ===
topdir:=../..

SUBDIRS =
include $(topdir)/autoconf/targets.mak

all-install: install-freebsd
all-uninstall: uninstall-freebsd

install-freebsd:
	$(call DISTINST,FreeBSD)
	$(call MKDIR,/etc)
	$(call INSTPROG,744,apcupsd,/etc/rc.apcupsd)
	$(VV)-today="`date +%Y%m%d%H%M`"; \
	grep -q '# TAG_APCUPSD' /etc/rc.shutdown; \
	if [ $$? -ne 0 ]; then \
		echo "  PATCH $(DESTDIR)/etc/rc.shutdown"; \
		rm -f $(DESTDIR)/etc/rc.shutdown.$$today; \
		cp -p /etc/rc.shutdown $(DESTDIR)/etc/rc.shutdown.$$today; \
		$(SED) -e '/exit 0/d'< $(DESTDIR)/etc/rc.shutdown.$$today > $(DESTDIR)/etc/rc.shutdown; \
		( echo "# Do not remove the 'TAG_APCUPSD' text, below"; \
		  echo "if [ -f $(PWRFAILDIR)/powerfail ]; then			     # TAG_APCUPSD";\
		  echo "    powerdown=YES					     # TAG_APCUPSD"; \
		  echo "    echo ''						     # TAG_APCUPSD"; \
		  echo "    echo 'Please ensure that the UPS has powered off before' # TAG_APCUPSD"; \
		  echo "    echo 'rebooting.  Otherwise, the UPS may cut the power'  # TAG_APCUPSD"; \
		  echo "    echo 'during the reboot.'				     # TAG_APCUPSD"; \
		  echo "    echo ''						     # TAG_APCUPSD"; \
		  echo "fi							     # TAG_APCUPSD"; \
		  echo "exit 0"; \
		) >> $(DESTDIR)/etc/rc.shutdown; \
		chmod 744 $(DESTDIR)/etc/rc.shutdown; \
	fi; \
	grep -q /etc/rc.apcupsd /etc/rc.local; \
	if [ $$? -ne 0 ]; then \
		echo "  PATCH $(DESTDIR)/etc/rc.local"; \
		rm -f $(DESTDIR)/etc/rc.local.$$today; \
		cp -p /etc/rc.local $(DESTDIR)/etc/rc.local.$$today; \
		( echo "# Start the UPS daemon. Do not remove the 'TAG_APCUPSD' text"; \
		  echo "# if [ -x /etc/rc.apcupsd ]; then     # TAG_APCUPSD"; \
		  echo "#	  /etc/rc.apcupsd start       # TAG_APCUPSD"; \
		  echo "# fi				      # TAG_APCUPSD"; \
		) >> $(DESTDIR)/etc/rc.local; \
		echo ""; \
		( echo "While /etc/rc.local has been patched to run apcupsd,";\
		echo "the commands are currently commented out.  You should"; \
		echo "examine the $(sysconfdir)/apcupsd.conf file to ensure"; \
		echo "that it is suitable for your site.  Then run"; \
		echo "/etc/rc.apcupsd manually to ensure sane operation."; \
		echo "Once you are satisfied, uncomment the appropriate"; \
		echo "lines in /etc/rc.local" ) | /usr/bin/fmt; \
	fi

uninstall-freebsd:
	$(call DISTUNINST,FreeBSD)
	-$(call UNINST,/etc/rc.apcupsd)
	$(VV)-today="`date +%Y%m%d%H%M`"; \
	for f in $(DESTDIR)/etc/rc.local $(DESTDIR)/etc/rc.shutdown; do \
		grep -q '# TAG_APCUPSD' $$f; \
		if [ $$? -eq 0 ]; then \
			echo "  PATCH $$f"; \
			rm -f $$f.$$today; \
			cp -p $$f $$f.$$today; \
			$(SED) -e '/TAG_APCUPSD/d;' \
				< $$f.$$today > $$f; \
			chmod 644 $$f; \
		fi; \
	done

=== platforms/gentoo/Makefile ===
topdir:=../..

SUBDIRS =
include $(topdir)/autoconf/targets.mak

all-install: install-gentoo
all-uninstall: uninstall-gentoo

install-gentoo:
	$(call DISTINST,gentoo)
	$(call MKDIR,/etc/init.d)
	$(call INSTPROG,744,apcupsd,/etc/init.d/apcupsd)
	$(call INSTPROG,744,halt,/etc/init.d/halt)

uninstall-gentoo:
	$(call DISTUNINST,gentoo)
	-$(call UNINST,/etc/init.d/apcupsd)
#	$(call UNINST,/etc/init.d/halt)

=== platforms/hpux/Makefile ===
topdir:=../..

SUBDIRS =
include $(topdir)/autoconf/targets.mak

all-install: install-unknown
all-uninstall: uninstall-unknown

install-unknown:
	$(call DISTINST,Unknown)
	@echo "You have to manually install apcupsd boot script and"
	@echo "halt script for clean emergency shutdown."
	@echo "Please contribute your distribution install to apcupsd team."
	@echo "I'm sorry: you are on your own."

uninstall-unknown:
	$(call DISTUNINST,Unknown)
	@echo "You have to manually uninstall apcupsd boot script and"
	@echo "halt script."
	@echo "Please contribute your distribution install to apcupsd team."
	@echo "I'm sorry: you are on your own."

=== platforms/mandrake/Makefile ===
topdir:=../..

SUBDIRS =
include $(topdir)/autoconf/targets.mak

all-install: install-mandrake
all-uninstall: uninstall-mandrake

install-mandrake:
	$(call DISTINST,Mandrake)
   # unlink old rc script (if not doing a DESTDIR install)
	$(call CHKCFG,del,/etc/rc.d/init.d/apcupsd)
   # install new rc script
	$(call MKDIR,/etc/rc.d/init.d)
	$(call INSTDATA,744,apcupsd,/etc/rc.d/init.d)
   # link new rc script (if not doing a DESTDIR install)
	$(call CHKCFG,add,/etc/rc.d/init.d/apcupsd)
   # mandrake halt script already handles apcupsd so no patching necessary
	@echo "================================================="
	@echo " "
	@echo "apcupsd script installation for Mandrake $(DISTVER) complete." 
	@echo " "
	@echo "You should now edit  /etc/apcupsd/apcupsd.conf  to correspond"
	@echo "to your setup then start the apcupsd daemon with:"
	@echo " "
	@echo "/etc/rc.d/init.d/apcupsd start"
	@echo " "
	@echo "thereafter when you reboot, it will be stopped and started"
	@echo "automatically."
	@echo " "
	@echo "================================================="

uninstall-mandrake:
	$(call DISTUNINST,Mandrake)
   # unlink old rc script (if not doing a DESTDIR install)
	-$(call CHKCFG,del,/etc/rc.d/init.d/apcupsd)
	-$(call UNINST,/etc/rc.d/init.d/apcupsd)

=== platforms/mingw/Makefile ===
topdir:=../..

SUBDIRS =
include $(topdir)/autoconf/targets.mak

all-install: install-mingw
all-uninstall: uninstall-mingw

install-mingw:
	$(call DISTINST,mingw)
	@echo "You have to manually install apcupsd boot script and"
	@echo "halt script for clean emergency shutdown."
	@echo "Please contribute your distribution install to apcupsd team."
	@echo "I'm sorry: you are on your own."

uninstall-mingw:
	$(call DISTUNINST,mingw)
	@echo "You have to manually uninstall apcupsd boot script and"
	@echo "halt script."
	@echo "Please contribute your distribution install to apcupsd team."
	@echo "I'm sorry: you are on your own."

TEXTFILES := $(topdir)/COPYING \
             $(topdir)/ChangeLog \
             $(topdir)/ReleaseNotes \
             $(wildcard $(topdir)/doc/*.txt)

MAKENSIS = makensis
UNIX2DOS = unix2dos

winapcupsd.exe:
	$(STRP) $(wildcard $(topdir)/src/*.exe) $(wildcard $(topdir)/src/win32/*.exe) $(wildcard $(topdir)/src/cgi/*.cgi)
	$(UNIX2DOS) -k -n $(foreach f,$(TEXTFILES),$(f) installer/$(subst .txt,,$(notdir $(f))).txt)
	$(MAKENSIS) -V2 -DDEPKGS="$(DEPKGS)" -DCROSSTOOLS="$(CROSSTOOLS)" -DVERSION="$(VERSION)" -DTOPDIR="${topdir}" installer/winapcupsd.nsi

=== debian/changelog ===
apcupsd (3.14.14-7) unstable; urgency=medium

  * debian/control: add bsdutils as runtime dependency as well
                    (Closes: #1119127)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 10 Nov 2025 11:14:07 +0100

apcupsd (3.14.14-6) unstable; urgency=medium

  * debian/control: add Multi-Arch: foreign for doc package
  * debian/control: add dependency to bsdutils (needed for wall)
                    (Closes: #1118316)
  * debian/control: conflict with nut-client due to identical files
     /etc/init.d/ups-monitor, /usr/lib/systemd/system/ups-monitor.service
  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/control: remove dependency to obsolete package libncurses5-dev
  * add debian/patches/17-reproducible-build.patch

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 24 Oct 2025 18:14:07 +0200

apcupsd (3.14.14-5) unstable; urgency=medium

  * upload to unstable again

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 06 Aug 2024 22:14:07 +0200

apcupsd (3.14.14-4) experimental; urgency=medium

  * upload to experimental
  * Move files into /usr. (Closes: #1057900)
    (Thanks to Chris Hofstaedtler for the patch)
  * debian/rules: add $SCRIPTSHELL (Closes: #1024288)
    (Thanks to Vagrant Cascadian for the patch)
  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/control: use dh11
  * debian/control: add Rules-Requires-Root: no
  * debian/watch: update to version 4
  * avoid exclusionary language in configuration files (Closes: #892769)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 03 Jun 2024 19:14:07 +0200

apcupsd (3.14.14-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch b-d from python-docutils to python3-docutils; Closes: #942946

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jul 2020 20:36:12 -0400

apcupsd (3.14.14-3) unstable; urgency=medium

  * debian/control: bump standard to 4.3.0 (no changes)
  * debian/control: do not depend on rst2pd (-> #929954)
                    (Closes: #935616)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 24 Aug 2019 19:14:07 +0200

apcupsd (3.14.14-2) unstable; urgency=medium

  * debian/control: bump standard to 4.1.4 (no changes)
  * debian/control: use dh11 (mostly)
  * debian/control: add salsa VCS URLs
  * debian/control: remove dependency for dh-systemd
  * debian/control: use prio optional
  * debian/control: remove dependency for python-imaging (Closes: #892950)
                    (dependency does not seem to be needed anymore)
  * debian/local/*: replace /etc/apcupsd/powerfail by file created
                    with PWRFAILDIR from config
                    (Closes: #541660, #572727, #576703)
  * debian/copyright: use https in URL
  * debian/control: drop dependency on libgconf2-dev (Closes: #885820)
  * debian/control: drop dependency on libgtk2.0-dev again
  * debian/rules: do not build with --enable-gapcmon
                  Unfortunately gconf2 shall be removed from Debian.
                  Upstream needs to move from gconf to gsettings.
                  As long as this did not happen, we can not build
                  the frontend any longer. (Closes: #889670, #878209)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Mar 2018 19:14:07 +0100

apcupsd (3.14.14-1) unstable; urgency=medium

  * new maintainer (Closes: #866835)
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: use dh10
  * debian/control: remove useless dependency on dh-autoreconf
                    and autotools-dev
  * debian/control: add dependency on lsb-base to apcupsd
  * debian/apcupsd.servive: wait for network.online (Closes: #865620)
  * debian/rules: build with --enable-gapcmon
                  new dependencies: libgtk2.0-dev, libgconf2-dev
  * add 14-update-conf.patch (Closes: #849404)
    clarification for LOCKFILE usage in apcupsd.conf
  * debian/copyright: update

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 04 Oct 2017 19:00:03 +0200

apcupsd (3.14.14-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Split pre-start actions from init script to /usr/share/apcupsd/prestart.
  * Add systemd unit, ignoring /etc/defaults/apcupsd. (Closes: #849401)
  * Set default UPSTYPE/UPSCABLE to "usb", to avoid poking the serial line
    with the default configuration.
  * Remove APCACCESS variable from /etc/defaults/apcupsd.
  * Drop explicit build-dependency on libssl-dev. libsnmp-dev pulls it
    in for us.
  * Build with --enable-modbus-usb. (Closes: #844418)
  * Revert to libusb-dev for modbus-usb. The generic Linux driver does
    not actually use libusb.

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 17 Jan 2017 00:00:03 +0000

apcupsd (3.14.14-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on arch:all buildd, patch from Santiago Vila.
    (Closes: #831804)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 21 Jul 2016 12:03:26 +0000

apcupsd (3.14.14-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. (Closes: #448147, #580225, #824942)
    * Refresh and drop obsolete patches.
    * Follow docs path change from homepage to manual
    * Update source path for manpages
    * Drop options configure no longer understands
  * Set source format to 3.0 (quilt) instead of using quilt directly
  * Convert to dh-style build rules and use compat 9
  * Explicitly set path to shutdown(1) (Closes: #828834)
  * Enable hardening flags for daemons
  * Use cat when /usr is already umounted or wall is missing (Closes: #709612)
  * Remove long gone Uploader, thanks Stefan Ritter (Closes: #831451)
  * Hook killpower into systemd-shutdown.
    Hook script from Fedora, thanks. And mask ups-monitor.service,
    which is only relevant for /etc/init.d/halt.
    (Closes: #807689)
  * Update Homepage (Closes: #816121)
  * Remove version number from generated conffiles (Closes: #322970)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 16 Jul 2016 14:10:23 +0000



=== debian/control ===
Source: apcupsd
Section: admin
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
# 11 is needed due to dh_installinit
Build-Depends: debhelper-compat (= 11)
	, libgd-dev
	, libmodbus-dev
	, libncurses-dev
	, libsnmp-dev
	, libusb-dev
	, libwrap0-dev
	, mawk | awk
	, pkg-config
	, po-debconf
	, python3-docutils
	, systemd-dev
	, tcpd
	, texinfo
        , bsdutils
# gconf shall disappear:	, libgtk2.0-dev
# gconf shall disappear:	, libgconf2-dev
# will disappear:	, rst2pdf
Standards-Version: 4.7.2
Homepage: http://www.apcupsd.org/
Vcs-Browser: https://salsa.debian.org/alteholz/apcupsd
Vcs-Git: https://salsa.debian.org/alteholz/apcupsd.git
Rules-Requires-Root: no

Package: apcupsd
Architecture: any
Depends: ${misc:Depends}
	, ${shlibs:Depends}
	, lsb-base
        , bsdutils
Conflicts: ups-monitor, nut-client
Provides: ups-monitor
Recommends: apcupsd-doc,
            s-nail | mailx
Suggests: apcupsd-cgi,
          udev
Description: APC UPS Power Management (daemon)
 apcupsd provides UPS power management for APC products, including most BackUPS
 series models (including USB), SmartUPS V/S, SmartUPS (NET/RM), and Matrix
 series.
 .
 It controls and monitors the status of UPS and allows your computer to run for
 a specified length of time on UPS power, and then executes a controlled
 shutdown in the case of an extended power failure.

Package: apcupsd-cgi
Section: web
Architecture: any
Depends: apcupsd (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: apache2 | httpd
Description: APC UPS Power Management (web interface)
 apcupsd provides UPS power management for APC products, including most BackUPS
 series models (including USB), SmartUPS V/S, SmartUPS (NET/RM), and Matrix
 series.
 .
 This package contains the web interface.

Package: apcupsd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: apcupsd
Description: APC UPS Power Management (documentation/examples)
 apcupsd provides UPS power management for APC products, including most BackUPS
 series models (including USB), SmartUPS V/S, SmartUPS (NET/RM), and Matrix
 series.
 .
 This package contains the documentation and examples.

=== debian/watch ===
version=4
http://sf.net/apcupsd/apcupsd-(.*)\.tar.gz
